## org.eclipse.emf.cdo.common.revision
Interface CDOReferenceAdjuster

All Known Implementing Classes:
  CDOIDMapper, CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster

    public interface CDOReferenceAdjuster

Since:
  2.0

Method Summary
`java.lang.Object` `adjustReference(java.lang.Object id)` Adjusts the internal structure of an object (e.g: `CDORevision`).

Method Detail

### adjustReference

    java.lang.Object adjustReference(java.lang.Object id)

  Adjusts the internal structure of an object (e.g: `CDORevision`). This is mainly used after committing a transaction. `CDORevision` must replace `CDOIDTemp` for non-temporary `CDOID` with a mapped ID. Only the internal structure knows how to do these modifications. This is important to consider using different implementation of `CDOList`.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.